using Blazor.IndexedDB.Framework;
using Microsoft.AspNetCore.Components.Builder;
using Microsoft.Extensions.DependencyInjection;
using RecipeApp.Data;

namespace RecipeApp
{
    public class Startup
    {
        public void ConfigureServices(IServiceCollection services)
        {
            services.AddSingleton<IIndexedDbFactory, IndexedDbFactory>();
            services.AddSingleton<RecipeRepository>();
        }

        public void Configure(IComponentsApplicationBuilder app)
        {
            app.AddComponent<App>("app");
        }
    }
}
